package com.steerinfo.ems.Utils;

import java.io.Serializable;
import java.util.List;

public interface TreePO<CODE extends Serializable, PARENTID extends Serializable,T extends TreePO> extends Serializable{

    CODE getCode();

    void setCode(CODE code);

    PARENTID getParentId();

    void  setParentId(PARENTID parentid);

    List<T> getChildren();

    void setChildren(List<T> children);

}
